Subject: [bug#62307] [PATCH core-updates v2 00/20] Update Hurd and fix build failures

From: Josselin Poiret <[email-masked]>
Date: Tue, 28 Mar 2023 19:07:00 +0200

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Hello Guix!
>
> I have good news and bad news.
>
> The bad news is that an image built with:
>
>   ./pre-inst-env guix system image -t hurd-qcow2 \
>       gnu/system/examples/bare-hurd.tmpl
>
> fails to boot: it hangs right at:
>
>   (system* "/hurd/mach-defpager")
>
> Basically, ‘system*’ doesn’t work at the early-boot REPL.  This
> was not surprising given <https://issues.guix.gnu.org/61095>, but
> it is now that I’ve fixed it.  I’ve also confirmed that the same
> binary works on a “current” (master) childhurd, which means it
> could be something with the new ‘exec’ server or anything in between.
> I think we can keep investigating that separately.
>
> The good news is that ‘--target=i586-pc-gnu’ is back to life.  :-)
> Compared to Josselin’s initial patch set, I made the following changes:
>
>   • MiG is built from a tarball (which I’ll upload to
>     ftp.gnu.org/gnu/guix/mirror after review); building from
>     Git introduces a circular dependency in native i586-gnu builds,
>     hence the tarball.
>
>   • The glibc ‘configure’ issue is worked around in a less invasive
>     way as I proposed earlier.
>
>   • The GCC/libstdc++ patch application is likewise simplified,
>     without introducing a world rebuild.
>
>   • ‘system*’ in Guile is fixed.
>
>   • ‘linux-pam’ builds again on GNU/Hurd.
>
> If there are no objections I’d like to push that soonish so we can
> move on with the branch.
>
> Thoughts?

Just had a look and built locally.  LGTM!  Great work (even though it's
still unfinished, but that's for another day).

Best,
-- 
Josselin Poiret